.ht-table {
  border-collapse: collapse;
  font-size: 0.9em;
  font-family: sans-serif;
  width: 100%;
  &__title {
    display: inline-block;
    font-size: 34px;
    position: relative;
    top: 20px;
    margin-left: 10px;
  }
  &__search {
    width: 150px;
    float: right;
    margin-right: 20px;
    display: inline-block;
  }
  th:first-child{
    border-radius:10px 0 0 10px;
  }
  th:last-child{
    border-radius:0 10px 10px 0;
  }
  &>tbody>tr {
    border-bottom: 1px solid #dddddd;
    transition: 0.2s ease-in-out color;
    &:nth-of-type(even) {
      background-color: #f3f3f3;
    }
    &:last-of-type {
      border-bottom: 2px solid $primary-color;
    }
    &:hover {
      color: $secondary-color;
      cursor: pointer;
    }
  }
  &__td {
    padding: 12px 15px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
  }
  &__th {
    padding: 12px 15px;

  }
  &__head {

    & tr {
      color: #ffffff;
      text-align: left;
      background-color: $primary-color;
      cursor: pointer;
    }

  }
  &__body {
    border: 1px solid #ddd;
    padding: 8px;
  }
}

.items-list {
  max-width: 90vw;
  margin: 2rem;
  display: grid;
  grid-template-columns: repeat(5, 1fr);
  grid-gap: 3rem;
  justify-content: center;
  align-content: center;

  @media only screen and (max-width: 600px) {
    grid-template-columns: repeat(2, 1fr);
  }
}

.item {
  width: 10rem;
  height: 10rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  color: var(--greyDark);
  cursor: pointer;

  span {
    background: #ffffff;
    box-shadow: 0 0.8rem 2rem rgba(#5a6181, 0.05);
    border-radius: 0.6rem;
    padding: 2rem;
    font-size: 3rem;
    transition: all 0.3s ease;
  }

  &:hover {
    span {
      transform: scale(1.2);
      color: var(--primary);
    }
  }

  p {
    font-size: 1.2rem;
    margin-top: 1rem;
    color: var(--greyLight);
  }
}

.ht-table__pagination {
  display: flex;
  justify-content: center;
  align-items: center;

  &__numbers,
  &__btn,
  &__dots {
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0.4rem;
    font-size: 1rem;
    cursor: pointer;
  }

  &__dots {
    width: 1.6rem;
    height: 1.6rem;
    color: $primary-color;
    cursor: initial;
  }

  &__numbers {
    width: 2rem;
    height: 2rem;
    border-radius: 5px;
    transition: color 0.2s ease-in-out, background-color 0.2s ease-in-out;

    &:hover {
      color: white;
      background: lighten($primary-color, 20);
    }

    &.active {
      color: #ffffff;
      background: $primary-color;
      font-weight: 600;
      border: 1px solid $primary-color;
    }
  }

  &__btn {
    color: var(--greyLight);
    pointer-events: none;

    &.active {
      color: var(--greyDark);
      pointer-events: initial;

      &:hover {
        color: var(--primary);
      }
    }
  }
}



